Subject: Re: [PATCH 5/7] merge-recursive: add merge function arg to 'merge_recursive_generic'

From: Derrick Stolee <[email-masked]>
Date: Tue, 26 Apr 2022 08:57:42 -0400

On 4/25/2022 5:38 PM, Junio C Hamano wrote:
> "Victoria Dye via GitGitGadget" <[email-masked]> writes:
> 
>> -	if (merge_recursive_generic(&o, &our_tree, &their_tree, 1, bases, &result)) {
>> +	if (merge_recursive_generic(&o, &our_tree, &their_tree, 1, bases, merge_recursive, &result)) {
> 
> This one does need input from Elijah to properly evaluate.  Off the
> top of my head, I wonder if the choice of the merge function should
> be part of "struct merge_options".
 
I agree that when we have an options struct, it is better to add a
member to the struct than to update the prototype of the function,
if only for the simplicity of not updating all callers.

I am interested in the effect that moving from recursive to ORT for
all 'git stash' commands might have, regardless of sparse index. I
expect 'git stash' to improve on a number of dimensions with that
change.

Thanks,
-Stolee